Description

In writing up documentation for a client who will be using QGIS, when adding a new field or column I suggest using the same parameters

for similar fields listed. The New column button opens the Add column dialog. Name and Comment are fine. But Type isn't consistent with

Type shown in the field descriptions. In the dialog, it asks for Width, but the field description says Length.

My suggestions are the New column button be called Add Field, the Add column dialog be called Add Field, Type be called Type Name

and the Type name descriptions be consistent with that list, and either Width OR Length be used, but not both for the same parameter.

Can the term Column be dropped in favor of using Field exclusively? You should also consider title casing all the dialogs and menu

options.

I'm really sorry I'm coming across as a prig. I'm not usually so picky; I'm just trying to be sensitive for my clients. But this would help those

new to GIS and help give QGIS the continual professional polish it works toward.

History

#1 - 2014-01-30 02:44 PM - Nathan Woodrow

- Category set to GUI

- Target version set to Future Release - High Priority

Nothing to be sorry about.  Consistency is good.

#2 - 2014-01-30 02:49 PM - Matthias Kuhn

- Tag set to easy

Perfectly valid request.

#3 - 2015-01-27 04:05 PM - Michael Kirk

Just to clarify - you are talking about the attribute editor right?

http://imgur.com/dml5wQ4.png

In that case, why not stick with the "attributes" vocabulary.

e.g. The buttons and dialogs would say "New attribute" / "Delete attribute"

#4 - 2015-09-20 02:51 PM - Harrissou Santanna
Hi, i began working on this issue (see PR2327)

- I choose to use field instead of attribute or column and length instead of width.

- fix some text about field customization (wonder if customization.xml should be modified manually or not)

But I need some advices about the choices that might be done, according to the issue report:

- Are there rules about Title casing of dialog's title?

- I'm not able to find correspondance between type and provider type fields in "add a new column" dialog and type and type name in layer's properties >

fields tab. Are they about same things? And which terms to keep for consistency?

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2018-04-03 03:10 PM - Harrissou Santanna

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

I think this can be closed
https://github.com/qgis/QGIS/pull/2327

